summary refs log tree commit diff
path: root/import.zsh
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2017-09-15 11:30:20 -0400
committerJune McEnroe <programble@gmail.com>2017-09-15 11:30:20 -0400
commit147512b83552a097f770db85def0d9d446420d1b (patch)
treec0528989f271ac16d706170232579d8e91e780cc /import.zsh
parentRename files directory etc (diff)
downloadsrc-147512b83552a097f770db85def0d9d446420d1b.tar.gz
src-147512b83552a097f770db85def0d9d446420d1b.zip
Rename zsh scripts .zsh
Diffstat (limited to 'import.zsh')
-rwxr-xr-ximport.zsh21
1 files changed, 21 insertions, 0 deletions
diff --git a/import.zsh b/import.zsh
new file mode 100755
index 00000000..6b69865a
--- /dev/null
+++ b/import.zsh
@@ -0,0 +1,21 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+# Import file from ~ and replace it with a symlink.
+
+fail() {
+    echo "$1"
+    exit 1
+}
+
+[ -z "$1" ] && fail 'no path'
+
+source_path="$HOME/$1"
+dest_path="$PWD/home/$1"
+
+[ -f "$dest_path" ] && fail "$dest_path exists"
+
+mkdir -p "$(dirname "$dest_path")"
+mv "$source_path" "$dest_path"
+ln -s "$dest_path" "$source_path"
+echo "link '$1'" >> link.zsh